/*
 *
 * Copyright(C) OASIS(R) 2009,2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.    
 *   
 */
package org.oasisopen.sca.test;

import org.oasisopen.sca.annotation.*;
import org.oasisopen.sca.test.Service1;

/**
 * Java component implementation
 * 1 service with interface Service1
 * 0 references
 *
 * Performs a check on the ThreadContextClassLoader used to invoke a service operation
 *
 */
@Service(Service1.class)
public class service1ClassLoaderCheckImpl implements Service1 {
	
	@Property(required=true)
	public String serviceName = "service1";
	
	public String operation1(String input) {
		ClassLoader tccl = Thread.currentThread().getContextClassLoader();
		ClassLoader loader = this.getClass().getClassLoader();
		String result = " thread context classloader is correct";
		if( loader != tccl ) result = " thread context classloader not correct";
		return serviceName + " operation1 invoked" + result;
	}

}
