/*
 * Copyright(C) OASIS(R) 2009,2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.    
 */
package client_javapojo;

import org.junit.Test;
import org.junit.Ignore;

import client.BaseJAXWSTestRunner;
import client.TestConfiguration;
import testClient.TestInvocation;

/**
 * Client for POJO_10002_TestCase
 * Tests that where a contribution contains an SCA component that references classes from 
 * a Java package not contained in the contribution, and where the sca-contribution.xml 
 * contains an <import.java/> for that Java package, and there is a second contribution 
 * in the Domain that contains the classes of the package and which exports the package, 
 * that the SCA component can be instantiated and that it uses the Java classes from the 
 * second contribution.
 */
public class POJO_10002_TestCase extends BaseJAXWSTestRunner {

    protected TestConfiguration getTestConfiguration() {
    	TestConfiguration config = new TestConfiguration();
    	config.testName 		 = "POJO_10002";
    	config.input 		 	 = "request";
    	config.output[0] 		 = "POJO_10002 request service1 operation1 invoked";
    	config.composite 		 = "Test_" + config.testName + ".composite";
    	config.testServiceName 	 = "TestClient";
    	config.contributionNames = new String[] { "POJO_10002" , "POJO_General" };
    	config.serviceInterface  = TestInvocation.class;
    	return config;
    }
    
    /**
     * Dummy method to ensure that things work with JUnit 3 eg within Eclipse Ganymede
     */
    @Ignore
    @Test
    public void testFoo() throws Exception {  	
    }
    
} // end class Test_POJO_10002
