/*
 * Copyright(C) OASIS(R) 2009,2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.    
 */
package client_javapojo;

import org.junit.Test;
import org.junit.Ignore;

import client.BaseJAXWSTestRunner;
import client.TestConfiguration;
import testClient.TestInvocation;

/**
 * Client for POJO_5007_TestCase
 * Tests that a POJO implementation class containing no @Constructor annotations has no more than 
 * 1 constructor with a non-empty parameter list where all the parameters are annotated with either 
 * @Property or with @Reference
 * 
 * This testcase is expected to fail
 */
public class POJO_5007_TestCase extends BaseJAXWSTestRunner {

    protected TestConfiguration getTestConfiguration() {
    	TestConfiguration config = new TestConfiguration();
    	config.testName 		 = "POJO_5007";
    	config.input 		 	 = "request";
    	config.output[0] 		 = "exception";
    	config.composite 		 = "Test_" + config.testName + ".composite";
    	config.testServiceName 	 = "TestClient";
    	config.contributionNames = new String[] { "POJO_5007", "POJO_General" };
    	config.serviceInterface  = TestInvocation.class;
    	return config;
    }
    
    /**
     * Dummy method to ensure that things work with JUnit 3 eg within Eclipse Ganymede
     */
    @Ignore
    @Test
    public void testFoo() throws Exception {  	
    }
    
} // end class Test_POJO_5007
