/*
 * Copyright(C) OASIS(R) 2009,2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.    
 */
package client_javapojo;

import org.junit.Test;
import org.junit.Ignore;

import client.BaseJAXWSTestRunner;
import client.TestConfiguration;
import testClient.TestInvocation;

/**
 * Client for POJO_8011_TestCase
 * Tests that a POJO implementation with no @Reference annotations and also with no @Property annotations and 
 * which has a public setter method which is not part of a service interface and which has a parameter which is not 
 * typed by an interface annotated with @Remotable or an array or a parameterized java.util.Collection has 
 * a componentType with a <property/> element with @name set to the Javabeans property name derived from 
 * the setter method name and @type set to the JAXB mapping of the type of the setter method and with @many set to "false"
 */
public class POJO_8011_TestCase extends BaseJAXWSTestRunner {

    protected TestConfiguration getTestConfiguration() {
    	TestConfiguration config = new TestConfiguration();
    	config.testName 		 = "POJO_8011";
    	config.input 		 	 = "request";
    	config.output[0] 		 = "POJO_8011 request service1 operation1 invoked 2002.09.13 09:00:00";
    	config.composite 		 = "Test_" + config.testName + ".composite";
    	config.testServiceName 	 = "TestClient";
    	config.contributionNames = new String[] { "POJO_General" };
    	config.serviceInterface  = TestInvocation.class;
    	return config;
    }
    
    /**
     * Dummy method to ensure that things work with JUnit 3 eg within Eclipse Ganymede
     */
    @Ignore
    @Test
    public void testFoo() throws Exception {  	
    }
    
} // end class Test_POJO_8011
