/*
 * Copyright(C) OASIS(R) 2009,2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.    
 */
package client_javapojo;

import org.junit.Test;
import org.junit.Ignore;

import client.BaseJAXWSTestRunner;
import client.TestConfiguration;
import testClient.TestInvocation;

/**
 * Client for POJO_8023_TestCase
 * Tests that an implementation class with zero @Service, @Reference, @Property annotations and a @PolicySets annotation 
 * on a public field, typed by an interface annotated with @Remotable, with one policy set declared, has a componentType 
 * with a <reference/> element with a @policySets attribute present containing the policy set declared in the @PolicySets annotation
 */
public class POJO_8023_TestCase extends BaseJAXWSTestRunner {

    protected TestConfiguration getTestConfiguration() {
    	TestConfiguration config = new TestConfiguration();
    	config.testName 		 = "POJO_8023";
    	config.input 		 	 = "request";
    	config.output[0] 		 = "POJO_8023 request service1 operation1 invoked service2 operation1 invoked";
    	config.composite 		 = "Test_" + config.testName + ".composite";
    	config.testServiceName 	 = "TestClient";
    	config.contributionNames = new String[] { "POJO_8023", "POJO_General" };
    	config.serviceInterface  = TestInvocation.class;
    	return config;
    }
    
    /**
     * Dummy method to ensure that things work with JUnit 3 eg within Eclipse Ganymede
     */
    @Ignore
    @Test
    public void testFoo() throws Exception {  	
    }
    
} // end class Test_POJO_8023
