/*
 * Copyright(C) OASIS(R) 2009,2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.    
 */
package client_javapojo;

import org.junit.Test;
import org.junit.Ignore;

import client.BaseJAXWSTestRunner;
import client.TestConfiguration;
import testClient.TestInvocation;

/**
 * Client for POJO_8025_TestCase
 * Tests that an implementation class with zero @Service, @Reference, @Property annotations, which has a public setter method, 
 * not part of a service interface, with a parameter type which is an array of interface classes annotated with @Remotable has 
 * a componentType with a <reference/> element with @name set to the JavaBeans property name from the setter method name, 
 * @multiplicity set to 1..n and an <interface.java/> subelement which references the fully qualified name of the interface class
 */
public class POJO_8025_TestCase extends BaseJAXWSTestRunner {

    protected TestConfiguration getTestConfiguration() {
    	TestConfiguration config = new TestConfiguration();
    	config.testName 		 = "POJO_8025";
    	config.input 		 	 = "request";
    	config.output[0] 		 = "POJO_8025 request service1 operation1 invoked service2 operation1 invoked service3 operation1 invoked";
    	config.composite 		 = "Test_" + config.testName + ".composite";
    	config.testServiceName 	 = "TestClient";
    	config.contributionNames = new String[] { "POJO_General" };
    	config.serviceInterface  = TestInvocation.class;
    	return config;
    }
    
    /**
     * Dummy method to ensure that things work with JUnit 3 eg within Eclipse Ganymede
     */
    @Ignore
    @Test
    public void testFoo() throws Exception {  	
    }
    
} // end class Test_POJO_8025
