/*
 * Copyright(C) OASIS(R) 2009,2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.    
 */
package client_javapojo;

import org.junit.Test;
import org.junit.Ignore;

import client.BaseJAXWSTestRunner;
import client.TestConfiguration;
import testClient.TestInvocation;

/**
 * Client for POJO_9004_TestCase
 * Tests that for an <implementation.java/> element in a composite file that specifies the name of a 
 * Java POJO class in its @class attribute, where a Java class of that fully qualified name exists 
 * a) in the same contribution (A) as the composite file b) in two other contributions in the Domain (B & C), 
 * both of which export the namespace of the Java class and where contribution A imports the namespace with 
 * <import.java/> specifying @location referencing only one of the Contributions (C) that the Java class is 
 * loaded from Contribution C.
 */
public class POJO_9004_TestCase extends BaseJAXWSTestRunner {

    protected TestConfiguration getTestConfiguration() {
    	TestConfiguration config = new TestConfiguration();
    	config.testName 		 = "POJO_9004";
    	config.input 		 	 = "request";
    	config.output[0] 		 = "POJO_9004 request service1 operation1 invoked" +
    	                           " ContributionC";
    	config.composite 		 = "Test_" + config.testName + ".composite";
    	config.testServiceName 	 = "TestClient";
    	config.contributionNames = new String[] { "POJO_9004", "POJO_ContributionB", "POJO_ContributionC", "POJO_General" };
    	config.serviceInterface  = TestInvocation.class;
    	return config;
    }
    
    /**
     * Dummy method to ensure that things work with JUnit 3 eg within Eclipse Ganymede
     */
    @Ignore
    @Test
    public void testFoo() throws Exception {  	
    }
    
} // end class Test_POJO_9004
